My Oracle Support Banner

ClassCastException thrown when trying to load OpenJPA 1.x.x based webapp in WLS10 (Doc ID 863759.1)

Last updated on MAY 21, 2021

Applies to:

Oracle WebLogic Server - Version 10.0 to 10.0
Information in this document applies to any platform.

Symptoms

We encountered a software issue originated from OpenJPA 0.9.7 which is being used in Weblogic Server 10.0. Application team performed an investigation and found that the OpenJPA 1.2.0 will resolve this software error. Attempts were made to re-direct (change classpath) WLS to use Open JPA 1.2.0, which is located outside of the WLS folder, but the WebLogic Server instance failed to startup with following error:

This issue is still present when a filtering classloader is used.

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.